local v = table.find_value(Hooks._function_hooks[GroupAITweakData]["_init_unit_categories"].overrides.post, function(v)
	return v.id == "DWPtweak_initunitcategories"
end)
local DWPtweak_initunitcategories = v.func
v.func = function(self, difficulty_index)
	DWPtweak_initunitcategories(self, difficulty_index == 8 and 7 or difficulty_index)

	if difficulty_index == 8 then
		for _, unit_category in ipairs({ "CS_swat_MP5", "FBI_light_green_m4", "GS_light_grey_g36", "GS_light_grey_ump" }) do
			self.unit_categories[unit_category].unit_types = self.unit_categories.FBI_swat_M4.unit_types
		end

		for _, unit_category in ipairs({ "CS_swat_R870", "FBI_light_green_r870", "GS_light_grey_r870", "GS_light_grey_benelli" }) do
			self.unit_categories[unit_category].unit_types = self.unit_categories.FBI_swat_R870.unit_types
		end

		for _, unit_category in ipairs({ "CS_heavy_M4", "FBI_heavy_green_m4", "GS_heavy_grey_g36" }) do
			self.unit_categories[unit_category].unit_types = self.unit_categories.FBI_heavy_G36.unit_types
		end

		for _, unit_category in ipairs({ "CS_heavy_R870", "FBI_heavy_green_r870", "GS_heavy_grey_r870" }) do
			self.unit_categories[unit_category].unit_types = self.unit_categories.FBI_heavy_R870.unit_types
		end

		for _, unit_category in ipairs({ "CS_shield", "FBI_green_shield", "GS_grey_shield" }) do
			self.unit_categories[unit_category].unit_types = self.unit_categories.FBI_shield.unit_types
		end

		self.unit_categories.FBI_tank.unit_types.america = {
			Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_bulldozer_2/ene_zeal_bulldozer_2"),
			Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_bulldozer_3/ene_zeal_bulldozer_3"),
			Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_bulldozer/ene_zeal_bulldozer")
		}

		self.unit_categories.FBI_tank_annoying.unit_types.america = {
			Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_minigun/ene_bulldozer_minigun"),
			Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_medic/ene_bulldozer_medic")
		}
	end

	if DWP.DWdifficultycheck then
		for _, unit_type in ipairs({ "russia", "zombie" }) do
			self.unit_categories.FBI_tank_annoying.unit_types[unit_type] = self.unit_categories.FBI_tank_annoying.unit_types.america
		end

		for _, unit_type in ipairs({ "russia", "zombie", "murkywater", "federales" }) do
			self.unit_categories.marshal_marksman.unit_types[unit_type] = self.unit_categories.marshal_marksman.unit_types.america
			self.unit_categories.marshal_shield.unit_types[unit_type] = self.unit_categories.marshal_shield.unit_types.america
		end
	end
end

v = table.find_value(Hooks._function_hooks[GroupAITweakData]["_init_enemy_spawn_groups"].overrides.post, function(v)
	return v.id == "DWP_spawngroupstweak"
end)
local DWP_spawngroupstweak = v.func
v.func = function(self, difficulty_index)
	return DWP_spawngroupstweak(self, difficulty_index == 8 and 7 or difficulty_index)
end

v = table.find_value(Hooks._function_hooks[GroupAITweakData]["_init_task_data"].overrides.post, function(v)
	return v.id == "DWP_taskdata_override"
end)
local DWP_taskdata_override = v.func
v.func = function(self, difficulty_index, ...)
	return DWP_taskdata_override(self, difficulty_index == 8 and 7 or difficulty_index, ...)
end
